Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane Class Referenceabstract

Represent single lane. More...

Inheritance diagram for Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane:

## Public Member Functions
void | AddInnerNode (InnerNode innerNodeToAdd)
| Adds new inner node. More...

## Protected Member Functions
| Lane (Point startPoint, Point endPoint)
| Lane constructor. More...

## Protected Attributes
StartNode | startNode
| Node on the input end of lane. More...
Node | endNode
| Node on the output end of lane. More...

## Properties
StartNode | StartNode`[get]`
| Node on the input end of lane. More...
Node | EndNode`[get]`
| Node on the output end of lane. More...
ReadOnlyCollection< InnerNode > | InnerNodes`[get]`
| Inner nodes on the lane. More...

## Detailed Description

Represent single lane.

Definition at line 14 of file Lane.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane.Lane | ( | Point | startPoint,
|  | Point | endPoint
| ) |  |
| protected

Lane constructor.

Parameters

  startPoint | Location of input end.
  endPoint | Location of output end.

Definition at line 48 of file Lane.cs.

## Member Function Documentation

void Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane.AddInnerNode | ( | InnerNode | innerNodeToAdd | ) |

Adds new inner node.

Parameters

  innerNodeToAdd | Inner node to add.

Definition at line 66 of file Lane.cs.

## Member Data Documentation

Node Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane.endNode
| protected

Node on the output end of lane.

Definition at line 28 of file Lane.cs.

StartNode Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane.startNode
| protected

Node on the input end of lane.

Definition at line 19 of file Lane.cs.

## Property Documentation

Node Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane.EndNode
| get

Node on the output end of lane.

Definition at line 32 of file Lane.cs.

ReadOnlyCollection<InnerNode> Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane.InnerNodes
| get

Inner nodes on the lane.

Definition at line 41 of file Lane.cs.

StartNode Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane.StartNode
| get

Node on the input end of lane.

Definition at line 23 of file Lane.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/GeometricObjects/Lanes/Lane.cs